
%% setBPenable
%    enable or diable the delete cell buttons based on the size of
%    a grid, so that you can't delete below one cell.
% inputs:
%   object:GUI - current GUI object
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = setPBenable(object)
if size(object.Grid1.cells,2) > 1
    set(object.Grid1.delete_cell_pb,'Enable','on');
else
    set(object.Grid1.delete_cell_pb,'Enable','off');
end

if size(object.Grid2.cells,2) > 1
    set(object.Grid2.delete_cell_pb,'Enable','on');
else
    set(object.Grid2.delete_cell_pb,'Enable','off');
end

end